---
layout: "fastly"
page_title: "Fastly: fastly_services"
sidebar_current: "docs-fastly-datasource-fastly_services"
description: |-
  Get information on Fastly services.
---

# fastly_services

Use this data source to get the list of the [Fastly services][1].

## Example Usage

```terraform
data "fastly_services" "services" {}

output "fastly_services_all" {
  value = data.fastly_services.services
}

output "fastly_services_filtered" {
  # get the service with the name "Example Service"
  value = one([for service in data.fastly_services.services.details : service.id if service.name == "Example Service"])
}
```

[1]: https://developer.fastly.com/reference/api/services/service/

<!-- schema generated by tfplugindocs -->
## Schema

### Read-Only

- `details` (Set of Object) A detailed list of Fastly services in your account. This is limited to the services the API token can read. (see [below for nested schema](#nestedatt--details))
- `id` (String) The ID of this resource.
- `ids` (Set of String) A list of service IDs in your account. This is limited to the services the API token can read.

<a id="nestedatt--details"></a>
### Nested Schema for `details`

Read-Only:

- `comment` (String)
- `created_at` (String)
- `customer_id` (String)
- `id` (String)
- `name` (String)
- `type` (String)
- `updated_at` (String)
- `version` (Number)
