---
layout: "fastly"
page_title: "Fastly: fastly_tls_activation_ids"
sidebar_current: "docs-fastly-datasource-tls_activation_ids"
description: |-
Get the list of TLS Activation identifiers in Fastly.
---

# fastly_tls_activation_ids

Use this data source to get the list of TLS Activation identifiers in Fastly.

## Example Usage

```terraform
data "fastly_tls_activation_ids" "example" {
  certificate_id = fastly_tls_certificate.example.id
}

data "fastly_tls_activation" "example" {
  for_each = data.fastly_tls_activation_ids.example.ids
  id       = each.value
}

output "activation_domains" {
  value = [for a in data.fastly_tls_activation.example : a.domain]
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Optional

- `certificate_id` (String) ID of TLS certificate used to filter activations

### Read-Only

- `id` (String) The ID of this resource.
- `ids` (Set of String) List of IDs of the TLS Activations.