---
layout: "fastly"
page_title: "Fastly: fastly_tls_configuration_ids"
sidebar_current: "docs-fastly-datasource-tls_configuration_ids"
description: |-
Get IDs of available TLS Configurations.
---

# fastly_tls_configuration_ids

Use this data source to get the IDs of available TLS configurations for use with other resources.

## Example Usage

```terraform
data "fastly_tls_configuration_ids" "example" {}

resource "fastly_tls_activation" "example" {
  configuration_id = data.fastly_tls_configuration_ids.example.ids[0]
  // ...
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Read-Only

- `id` (String) The ID of this resource.
- `ids` (Set of String) List of IDs corresponding to available TLS configurations.