---
layout: "fastly"
page_title: "Fastly: fastly_tls_domain"
sidebar_current: "docs-fastly-datasource-tls_domain"
description: |-
Get IDs of activations, certificates and subscriptions associated with a domain.
---

# fastly_tls_domain

Use this data source to get the IDs of activations, certificates and subscriptions associated with a domain.

## Example Usage

```terraform
data "fastly_tls_domain" "domain" {
  domain = "example.com"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `domain` (String) Domain name to look up activations, certificates and subscriptions for.

### Read-Only

- `id` (String) The ID of this resource.
- `tls_activation_ids` (Set of String) IDs of the activations associated with the domain.
- `tls_certificate_ids` (Set of String) IDs of the certificates associated with the domain.
- `tls_subscription_ids` (Set of String) IDs of the subscriptions associated with the domain.