---
layout: "fastly"
page_title: "Fastly: fastly_tls_subscription"
sidebar_current: "docs-fastly-datasource-tls_subscription"
description: |-
Get information on Fastly TLS subscription.
---

# fastly_tls_subscription

Use this data source to get information about a TLS subscription.

## Example Usage

```terraform
data "fastly_tls_subscription" "example" {
  domains = ["example.com"]
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Optional

- `certificate_authority` (String) The entity that issues and certifies the TLS certificates for the subscription.
- `configuration_id` (String) ID of TLS configuration used to terminate TLS traffic.
- `domains` (Set of String) List of domains on which to enable TLS.
- `id` (String) ID of TLS subscription. Conflicts with all the other filters.

### Read-Only

- `certificate_ids` (Set of String) List of certificate IDs associated with the Subscription.
- `common_name` (String) The common name associated with the subscription generated by Fastly TLS.
- `created_at` (String) Timestamp (GMT) when subscription was created.
- `state` (String) The current state of the subscription. The list of possible states are: `pending`, `processing`, `issued`, and `renewing`.
- `updated_at` (String) Timestamp (GMT) when subscription was last updated.