---
layout: "fastly"
page_title: "Fastly: fastly_tls_subscription_ids"
sidebar_current: "docs-fastly-datasource-tls_subscription_ids"
description: |-
Get the list of TLS Subscriptions in Fastly.
---

# fastly_tls_subscription_ids

Use this data source to get the list of IDs of TLS Subscriptions in Fastly.

## Example Usage

```terraform
data "fastly_tls_subscription_ids" "example" {}

data "fastly_tls_subscription" "example" {
  for_each = data.fastly_tls_subscription_ids.example.ids
  id       = each.value
}

output "subscription_domains" {
  value = [for a in data.fastly_tls_subscription.example : a.certificate_authority]
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Read-Only

- `id` (String) The ID of this resource.
- `ids` (Set of String) IDs of available TLS subscriptions.