---
page_title: "Upgrading to version 2"
subcategory: "Guides"
---

## Upgrading to version 2

The `fastly_service_compute` resource no longer exposes the following arguments/blocks:

**Arguments**:

- `default_host`
- `default_ttl`
- `stale_if_error`
- `stale_if_error_ttl`

**Blocks**:

- `director`
- `healthcheck`

**These arguments/blocks have never been supported by Fastly's Compute platform.** 

Their inclusion in the `fastly_service_compute` resource was a mistake that went unnoticed at the time of the resource being added to the provider.

Although they never worked, their removal was a change in the provider's API and required a major version change to `2.0.0`.

If your Terraform configuration defines these arguments/blocks, then upgrading to the provider version `2.0.0` will cause Terraform to issue an error when parsing your configuration, requiring their removal.
