---
layout: "fastly"
page_title: "Fastly: user"
sidebar_current: "docs-fastly-resource-user"
description: |-
  Provides a Fastly User
---

# fastly_user

Provides a Fastly User, representing the configuration for a user account for interacting with Fastly.

The User resource requires a login and name, and optionally a role.

## Example Usage

Basic usage:

```terraform
resource "fastly_user" "demo" {
  login = "demo@example.com"
  name  = "Demo User"
}
```

## Import

A Fastly User can be imported using their user ID, e.g.

```sh
$ terraform import fastly_user.demo xxxxxxxxxxxxxxxxxxxx
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `login` (String) The email address, which is the login name, of the User
- `name` (String) The real life name of the user

### Optional

- `role` (String) The role of this user. Can be `user` (the default), `billing`, `engineer`, or `superuser`. For detailed information on the abilities granted to each role, see [Fastly's Documentation on User roles](https://docs.fastly.com/en/guides/configuring-user-roles-and-permissions#user-roles-and-what-they-can-do)

### Read-Only

- `id` (String) The ID of this resource.